
.catalog-button-menu {
    position: relative;
    display: inline-block;
    z-index: 1000;
    flex: 0 0 131px;
    width: 131px;
}

.catalog-button-menu ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

/* Кнопка «Каталог» */

.catalog-button-menu__button {
    display: flex;
    min-height: 40px;
    padding: 0 28px;
    align-items: center;
    justify-content: center;
    gap: 12px;
    border: 0;
    border-radius: 20px;
    background: var(--color-black);
    color: #fff;
    cursor: pointer;
    text-decoration: none;
    font-family: var(--main-font-medium);
    font-size: 18px;
    line-height: 24px;
}

.catalog-button-menu__button:hover,
.catalog-button-menu__button:focus-visible {
    background: #333;
    color: #fff;
    text-decoration: none;
}

/* Выпадающий блок первого уровня */

.catalog-button-menu__dropdown-wrapper {
    position: absolute;
    top: 100%;
    left: 0;
    display: none;
    min-width: 280px;
}

.catalog-button-menu__dropdown {
    background: #fff;
    border: 1px solid var(--color-black);
    /* box-shadow: 0 10px 30px rgb(0 0 0 / 14%); */
    border-radius: 20px;
    margin: 4px 0 0 0;
}

/* Открытие меню на компьютере */

.catalog-button-menu:hover
> .catalog-button-menu__dropdown-wrapper,
.catalog-button-menu--opened
> .catalog-button-menu__dropdown-wrapper {
    display: block;
}

/* Пункт меню */

.catalog-button-menu__item {
    position: relative;
    width: 100%;
}

.catalog-button-menu__row {
    display: flex;
    width: 100%;
    align-items: center;
}

.catalog-button-menu__link {
    display: block;
    flex-grow: 1;
    padding: 13px 16px;

    color: #222;
    text-decoration: none;
    white-space: nowrap;

    font-size: 14px;

    font-family: var(--main-font-medium);
}

.catalog-button-menu__link:hover {
    color: var(--color-black);
    text-decoration: none;
} 

.catalog-button-menu__item:hover
> .catalog-button-menu__link,
.catalog-button-menu__item:hover
> .catalog-button-menu__row,
.catalog-button-menu__item--selected
> .catalog-button-menu__link,
.catalog-button-menu__item--selected
> .catalog-button-menu__row {
    background: #f4f4f4;
}



/* Кнопка-стрелка у раздела */

.catalog-button-menu__toggle {
    display: flex;
    width: 42px;
    min-width: 42px;
    height: 42px;
    padding: 0;

    align-items: center;
    justify-content: center;

    border: 0;
    background: transparent;
    color: #555;

    cursor: pointer;
}

.catalog-button-menu__toggle span {
    width: 8px;
    height: 8px;

    border-right: 2px solid currentColor;
    border-bottom: 2px solid currentColor;

    transform: rotate(-45deg);
}

/* Второй и последующие уровни */

.catalog-button-menu__submenu {
    position: absolute;
    top: 0;
    left: 100%;

    display: none;
    min-width: 260px;

    background: #fff;
    border: 1px solid var(--color-black);
    /* box-shadow: 0 10px 30px rgb(0 0 0 / 14%); */

    border-radius: 20px;
    overflow: hidden;
}

/* Открытие вложенного подменю */

.catalog-button-menu__item--parent:hover
> .catalog-button-menu__submenu,
.catalog-button-menu__item--opened
> .catalog-button-menu__submenu {
    display: block;
}

.catalog-button-menu__root > .catalog-button-menu__item:first-child .catalog-button-menu__row {
    border-radius: 20px 20px 0 0;
    overflow: hidden;
}

.catalog-button-menu__root > .catalog-button-menu__item:last-child .catalog-button-menu__row {
    border-radius: 0 0 20px 20px;
    overflow: hidden;
}

@media(max-width: 1000px){
    .catalog-button-menu__dropdown-wrapper {
        position: static;
        display: block;
        min-width: auto;
    }

    .catalog-button-menu__item--parent:hover
    > .catalog-button-menu__submenu,
    .catalog-button-menu__item--opened
    > .catalog-button-menu__submenu {
        display: none;
    }

    .catalog-button-menu__button {
        min-height: auto;
        padding: 0;
        margin: 0 0 8px 0;
        background: unset;
        color: var(--color-black);
        width: fit-content;
        display: block;
        font-family: var(--main-font-bold);
        font-size: 14px;
        line-height: 20px;
    }

    .catalog-button-menu {
        width: fit-content;
    }

    .catalog-button-menu__button:hover, 
    .catalog-button-menu__button:focus-visible {
        background: unset;
        color: var(--color-black);
    }

    .catalog-button-menu__dropdown {
        border: unset;
        border-radius: unset;
    }

    .catalog-button-menu__link {
        padding: unset;
    }

    .catalog-button-menu__toggle {
        display: none;
    }

    .catalog-button-menu__root > .catalog-button-menu__item:first-child .catalog-button-menu__row,
    .catalog-button-menu__root > .catalog-button-menu__item:last-child .catalog-button-menu__row{
        border-radius: unset;
    } 

    .catalog-button-menu__item {
        margin: 0 0 8px 0;
    }

     .catalog-button-menu__item:last-child {
        margin: 0;
     }

     .catalog-button-menu__item:hover
    > .catalog-button-menu__link,
    .catalog-button-menu__item:hover
    > .catalog-button-menu__row,
    .catalog-button-menu__item--selected
    > .catalog-button-menu__link,
    .catalog-button-menu__item--selected
    > .catalog-button-menu__row {
        background: transparent;
    }

    .catalog-button-menu__link {
        font-family: var(--main-font);
    }



}



